#!/bin/sh

TIMESTAMP=`date +"%Y%m%d%H%M%S"`

# create working directory
mkdir -p /media/usbflash/$TIMESTAMP/config
mkdir -p /media/usbflash/$TIMESTAMP/log
mkdir -p /media/usbflash/$TIMESTAMP/core
#mkdir -p /media/usbflash/$TIMESTAMP/memlog

cp /opt/aile/config/* /media/usbflash/$TIMESTAMP/config/
cp /var/log/syslog* /media/usbflash/$TIMESTAMP/log/
cp /var/log/Xorg* /media/usbflash/$TIMESTAMP/log/
cp /opt/aile/version.txt /media/usbflash/$TIMESTAMP/log/
#cp /var/log/aile/* /media/usbflash/$TIMESTAMP/memlog/
cp /tmp/prdx2wr /media/usbflash/$TIMESTAMP/log/

if [ -e /var/log/apache2 ]; then
	cp -a /var/log/apache2 /media/usbflash/$TIMESTAMP/log/
fi

CORES=`ls /opt/aile/aile.core.tgz 2>/dev/null | wc -l`
if [ $CORES -eq 0 ]; then
	exit 0;
fi

cp /opt/aile/aile.core.tgz /media/usbflash/$TIMESTAMP/core/
if [ $? -ne 0 ]; then
	echo "[WARNING] can not copy core files,"
	echo "so don't remove core files in internal storage."
	rm /media/usbflash/$TIMESTAMP/core/aile.core.tgz
	touch /media/usbflash/$TIMESTAMP/core/cannotcopy
else
	rm /opt/aile/aile.core.tgz
fi

